NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsOptions::jsOptionsPublishAsync Struct Reference

`#include <nats.h>`

## Public Attributes
int64_t | MaxPending
| Maximum outstanding asynchronous publishes that can be inflight at one time.
jsPubAckHandler | AckHandler
| Callback invoked for each asynchronous published message.
void * | AckHandlerClosure
| Closure (or user data) passed to jsPubAckHandler callback.
jsPubAckErrHandler | ErrHandler
| Callback invoked when error encountered publishing a given message.
void * | ErrHandlerClosure
| Closure (or user data) passed to jsPubAckErrHandler callback.
int64_t | StallWait
| Amount of time (in milliseconds) to wait in a PublishAsync call when there is MaxPending inflight messages, default is 200 ms.

## Detailed Description

Publish Async options

## Member Data Documentation

## ◆ MaxPending

int64_t jsOptions::jsOptionsPublishAsync::MaxPending

## ◆ AckHandler

jsPubAckHandler jsOptions::jsOptionsPublishAsync::AckHandler

## ◆ AckHandlerClosure

void* jsOptions::jsOptionsPublishAsync::AckHandlerClosure

## ◆ ErrHandler

jsPubAckErrHandler jsOptions::jsOptionsPublishAsync::ErrHandler

## ◆ ErrHandlerClosure

void* jsOptions::jsOptionsPublishAsync::ErrHandlerClosure

## ◆ StallWait

int64_t jsOptions::jsOptionsPublishAsync::StallWait

The documentation for this struct was generated from the following file:

- nats.h